[package]
name = "password-hash"
version = "0.1.0"
edition = "2024"

[lib]
name = "password_hash"
path = "src/lib.rs"

[[bin]]
name = "password_hash"
path = "src/bin.rs"
required-features = ["cmd"]

[features]
default = ["cmd"]
std = []
cmd = ["std", "dep:scrypt", "dep:itertools", "dep:spectre-api-sys", "dep:byteorder"]

[dependencies]
argon2 = { version = "0.5.3", default-features = false, features = ["alloc"] }
itertools = { version = "0.14.0", optional = true }
scrypt = { version = "0.11.0", default-features = false, optional = true }
spectre-api-sys = { workspace = true, optional = true }
byteorder = { version = "1.5.0", optional = true }
# TODO: Why is this unable to provide the symbols for spectre-api-sys?
# libsodium-sys-stable = { version = "1.23.2", optional = true }
